Content.makeFrontInterface(600, 500);

//Grab control references
const var NUM_TABS = 2;
const var panels = [];
const var buttons = []; 
const var knobsCommon = [];
const var panels2 = []; 
const var buttons2 = []; 

for (i = 0; i < 3; i++)
{
	knobsCommon[i] = Content.getComponent("Knob"+(i+1));
}

for (i = 0; i < NUM_TABS; i++)
{
    panels[i] = Content.getComponent("Panel"+(i+1));
    buttons[i] = Content.getComponent("Button"+(i+1));
    buttons[i].setControlCallback(changeTab);
}


for (i = 0; i < 2; i++)
{	
	panels2[i] = Content.getComponent("Panel"+(3+i));
	buttons2[i] = Content.getComponent("Button"+(3+i));
	buttons2[i].setControlCallback(changeTab2);
}

// Sampler //
const var Sampler1 = Synth.getChildSynth("Sampler1");

// Sample Map Array //

const var sampleMaps = Sampler.getSampleMapList();

// Combo Box //

const var cmbSampleMap = Content.getComponent("cmbSampleMap");
cmbSampleMap.set("items", sampleMaps.join("\n"));

inline function oncmbSampleMapControl(component, value)
{

	Sampler1.asSampler().loadSampleMap(sampleMaps[value-1]);
};
Content.getComponent("cmbSampleMap").setControlCallback(oncmbSampleMapControl);

//Tab button callback function

inline function changeTab(component, value)
{    
   if (value)
   {
	   local idx = buttons.indexOf(component);
	   
	   for (i = 0; i < panels[i]; i++)
	   {
		   panels[i].showControl(0);
	   }
	   panels[idx].showControl(1);
   }
}

// Articulations //

inline function changeTab2(component, value)
{    
   if (value)
   {
		local idx = buttons2.indexOf(component);	
		for (i = 0; i < panels2[i]; i++)
		{
		    panels2[i].showControl(0);
	    }	
		panels2[idx].showControl(1);
		Engine.loadUserPreset("1/2/" + idx+1);
   }
}











/*inline function onButton3Control(component, value)
{
	Console.print("3");
	if (value)
	{
		//panels[1].showControl(1);
		Button3.setValue(0);
		Panel3.showControl(true);
		Panel4.showControl(false);
		Engine.loadUserPreset("1/2/1");
	}
};
Content.getComponent("Button3").setControlCallback(onButton3Control);*/

// Preset 2 //

/*inline function onButton4Control(component, value)
{
	Console.print("4");
	if (value)
	{
		//panels[1].showControl(1);
		Button4.setValue(0);
		Panel3.showControl(false);
		Panel4.showControl(true);
		Engine.loadUserPreset("1/2/2");
	}
};
Content.getComponent("Button4").setControlCallback(onButton4Control);*/
function onNoteOn()
{
	
}
 function onNoteOff()
{
	
}
 function onController()
{
	
}
 function onTimer()
{
	
}
 function onControl(number, value)
{
	
}
 